Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gdk::EventFocus Class Reference

A GdkEventFocus C++ wrapper class. More...

`#include <xfc/gdk/events.hh>`

Inheritance diagram for Xfc::Gdk::EventFocus:

List of all members.

## Public Member Functions

Accessors

- GdkEventFocus * gdk_event_focus () const
    Get a pointer to the GdkEventFocus structure.
- bool in () const
    Returns true if the window has gained the keyboard focus.
- bool out () const
    Returns true if the window has lost the keyboard focus.

## Detailed Description

A GdkEventFocus C++ wrapper class.

An EventFocus describes a change of keyboard focus.

The event type is FOCUS_CHANGE

The documentation for this class was generated from the following file:

- events.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3